SUSE: 2022:4278-1 moderate: supportutils | LinuxSecurity.com

   SUSE Security Update: Security update for supportutils
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:4278-1
Rating:             moderate
References:         #1184689 #1188086 #1192252 #1192648 #1197428 
                    #1200330 #1202269 #1202337 #1202417 #1203818 
                    
Affected Products:
                    SUSE Enterprise Storage 7.1
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Micro 5.1
                    SUSE Linux Enterprise Micro 5.2
                    SUSE Linux Enterprise Micro 5.3
                    SUSE Linux Enterprise Module for Basesystem 15-SP3
                    SUSE Linux Enterprise Module for Basesystem 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.2
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.2
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
                    openSUSE Leap Micro 5.2
                    openSUSE Leap Micro 5.3
______________________________________________________________________________

   An update that contains security fixes can now be installed.

Description:

   This update for supportutils fixes the following issues:

   Security issues fixed:

   - Passwords correctly removed from email.txt, updates.txt and fs-iscsi.txt
     (bsc#1203818)

   Bug fixes:

   - Added lifecycle information
   - Fixed KVM virtualization detection on bare metal (bsc#1184689)
   - Added logging using journalctl (bsc#1200330)
   - Get current sar data before collecting files (bsc#1192648)
   - Collects everything in /etc/multipath/ (bsc#1192252)
   - Collects power management information in hardware.txt (bsc#1197428)
   - Checks for suseconnect-ng or SUSEConnect packages (bsc#1202337)
   - Fixed conf_files and conf_text_files so y2log is gathered (bsc#1202269)
   - Update to nvme_info and block_info (bsc#1202417)
   - Added includedir directories from /etc/sudoers (bsc#1188086)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap Micro 5.3:

      zypper in -t patch openSUSE-Leap-Micro-5.3-2022-4278=1

   - openSUSE Leap Micro 5.2:

      zypper in -t patch openSUSE-Leap-Micro-5.2-2022-4278=1

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-4278=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-4278=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-4278=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-4278=1

   - SUSE Linux Enterprise Micro 5.3:

      zypper in -t patch SUSE-SLE-Micro-5.3-2022-4278=1

   - SUSE Linux Enterprise Micro 5.2:

      zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-4278=1

   - SUSE Linux Enterprise Micro 5.1:

      zypper in -t patch SUSE-SUSE-MicroOS-5.1-2022-4278=1



Package List:

   - openSUSE Leap Micro 5.3 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - openSUSE Leap Micro 5.2 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - openSUSE Leap 15.4 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - openSUSE Leap 15.3 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - SUSE Linux Enterprise Micro 5.3 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - SUSE Linux Enterprise Micro 5.2 (noarch):

      supportutils-3.1.21-150300.7.35.15.1

   - SUSE Linux Enterprise Micro 5.1 (noarch):

      supportutils-3.1.21-150300.7.35.15.1


References:

   https://bugzilla.suse.com/1184689
   https://bugzilla.suse.com/1188086
   https://bugzilla.suse.com/1192252
   https://bugzilla.suse.com/1192648
   https://bugzilla.suse.com/1197428
   https://bugzilla.suse.com/1200330
   https://bugzilla.suse.com/1202269
   https://bugzilla.suse.com/1202337
   https://bugzilla.suse.com/1202417
   https://bugzilla.suse.com/1203818

SUSE: 2022:4278-1 moderate: supportutils

November 29, 2022
An update that contains security fixes can now be installed

Summary

This update for supportutils fixes the following issues: Security issues fixed: - Passwords correctly removed from email.txt, updates.txt and fs-iscsi.txt (bsc#1203818) Bug fixes: - Added lifecycle information - Fixed KVM virtualization detection on bare metal (bsc#1184689) - Added logging using journalctl (bsc#1200330) - Get current sar data before collecting files (bsc#1192648) - Collects everything in /etc/multipath/ (bsc#1192252) - Collects power management information in hardware.txt (bsc#1197428) - Checks for suseconnect-ng or SUSEConnect packages (bsc#1202337) - Fixed conf_files and conf_text_files so y2log is gathered (bsc#1202269) - Update to nvme_info and block_info (bsc#1202417) - Added includedir directories from /etc/sudoers (bsc#1188086) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap Micro 5.3: zypper in -t patch openSUSE-Leap-Micro-5.3-2022-4278=1 - openSUSE Leap Micro 5.2: zypper in -t patch openSUSE-Leap-Micro-5.2-2022-4278=1 - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-4278=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-4278=1 - SUSE Linux Enterprise Module for Basesystem 15-SP4: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-4278=1 - SUSE Linux Enterprise Module for Basesystem 15-SP3: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-4278=1 - SUSE Linux Enterprise Micro 5.3: zypper in -t patch SUSE-SLE-Micro-5.3-2022-4278=1 - SUSE Linux Enterprise Micro 5.2: zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-4278=1 - SUSE Linux Enterprise Micro 5.1: zypper in -t patch SUSE-SUSE-MicroOS-5.1-2022-4278=1 Package List: - openSUSE Leap Micro 5.3 (noarch): supportutils-3.1.21-150300.7.35.15.1 - openSUSE Leap Micro 5.2 (noarch): supportutils-3.1.21-150300.7.35.15.1 - openSUSE Leap 15.4 (noarch): supportutils-3.1.21-150300.7.35.15.1 - openSUSE Leap 15.3 (noarch): supportutils-3.1.21-150300.7.35.15.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (noarch): supportutils-3.1.21-150300.7.35.15.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch): supportutils-3.1.21-150300.7.35.15.1 - SUSE Linux Enterprise Micro 5.3 (noarch): supportutils-3.1.21-150300.7.35.15.1 - SUSE Linux Enterprise Micro 5.2 (noarch): supportutils-3.1.21-150300.7.35.15.1 - SUSE Linux Enterprise Micro 5.1 (noarch): supportutils-3.1.21-150300.7.35.15.1

References

#1184689 #1188086 #1192252 #1192648 #1197428

#1200330 #1202269 #1202337 #1202417 #1203818

Affected Products:

SUSE Enterprise Storage 7.1

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Micro 5.1

SUSE Linux Enterprise Micro 5.2

SUSE Linux Enterprise Micro 5.3

SUSE Linux Enterprise Module for Basesystem 15-SP3

SUSE Linux Enterprise Module for Basesystem 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.2

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.2

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.2

SUSE Manager Server 4.3

openSUSE Leap 15.3

openSUSE Leap 15.4

openSUSE Leap Micro 5.2

openSUSE Leap Micro 5.3

https://bugzilla.suse.com/1184689

https://bugzilla.suse.com/1188086

https://bugzilla.suse.com/1192252

https://bugzilla.suse.com/1192648

https://bugzilla.suse.com/1197428

https://bugzilla.suse.com/1200330

https://bugzilla.suse.com/1202269

https://bugzilla.suse.com/1202337

https://bugzilla.suse.com/1202417

https://bugzilla.suse.com/1203818

Severity
Announcement ID: SUSE-SU-2022:4278-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.